package com.kym.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kym.entity.Statements;
import com.kym.entity.queryParams.StatementsQueryParam;
import com.kym.entity.vo.StatementsVo;
import com.kym.entity.common.PageBean;

/**
 * <p>
 * 客户对账单 服务类
 * </p>
 *
 * @author skyline
 * @since 2023-12-27
 */
public interface StatementsService extends IService<Statements> {

    void createStatements(String statMonthId);

    PageBean<Statements> listStatements(StatementsQueryParam params);

    StatementsVo preview(String statId);
}
